Overview | Modules | Class Hierarchy | Classes | Members

# tlp::OLOException Class Reference
[Observable]

OLOException is the base class of all exceptions sent by the Observable/Listener/Observer system. More...

`#include <Observable.h>`

List of all members.

## Public Member Functions

- OLOException (const std::string &desc)
- virtual ~OLOException () throw ()
- virtual const char * what () const throw ()

## Detailed Description

OLOException is the base class of all exceptions sent by the Observable/Listener/Observer system.

See also:
  Listener
  Observer
  Observable

## Constructor & Destructor Documentation

tlp::OLOException::OLOException | ( | const std::string & | desc | ) | `[inline]`

virtual tlp::OLOException::~OLOException | ( |  | ) | throw ()`[inline, virtual]`

## Member Function Documentation

virtual const char* tlp::OLOException::what | ( |  | ) | const throw ()`[inline, virtual]`

Tulip Software by LaBRI Visualization Team 2001 - 2011